Update Redirect
Updates a *Redirect URL*.
**Required Fields**
* path
* forward
**Read Only Fields**
* url
> #### Warning
> **Deprecated**
> * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
> * To update redirect data, use Redirects V3ʼs [Upsert redirects](/developer/api-reference/rest/admin/management/redirects/upsert-redirects) endpoint.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Content | modify | `store_v2_content` |
| Content | read-only | `store_v2_content_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
id
ID of the redirect URL.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects an object.
path
The path from which to redirect.
forward
id
Numeric ID of the redirect.
Response
path
The path from which to redirect.
forward
id
Numeric ID of the redirect.
url
URL of the redirect. READ-ONLY.